import request from '@/config/axios'

// 获取发票抬头分页
export const getInvoiceTitlePage = async (params) => {
  return await request.get({
    url: '/app-api/member/invoice-title/page',
    params
  })
}

// 获取发票抬头详情
export const getInvoiceTitleDetails = async (params) => {
  return await request.get({
    url: '/app-api/member/invoice-title/get',
    params
  })
}

// 删除发票抬头
export const deleteInvoiceTitle = async (id) => {
  return await request.delete({
    url: `/app-api/member/invoice-title/delete?id=${id}`
  })
}

// 更新发票抬头
export const updateInvoiceTitle = async (data) => {
  return await request.put({
    url: '/app-api/member/invoice-title/update',
    data
  })
}

// 创建发票抬头
export const createInvoiceTitle = async (data) => {
  return await request.post({
    url: '/app-api/member/invoice-title/create',
    data
  })
}

// 创建发票
export const createInvoice = async (data) => {
  return await request.post({
    url: '/app-api/member/invoice-list/create',
    data
  })
}

// 查询可开发票订单列表
export const getInvoiceListPage = async (params) => {
  return await request.get({
    url: '/app-api/member/invoice-list/page',
    params
  })
}