import request from '@/config/axios'

// 获取投递简历的年龄分布
export const getJobCvAgeCount = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/age/count',
    params
  })
}

// 获取投递简历的学历分布
export const getJobCvEduCount = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/edu/count',
    params
  })
}

// 获取投递简历的工作经验分布
export const getJobCvExpCount = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/exp/count',
    params
  })
}

// 获取投递简历的性别分布
export const getJobCvSexCount = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/sex/count',
    params
  })
}

// 联系我的和我联系的统计
export const getRecentConversations = async (data) => {
  return await request.post({
    url: '/app-api/im/recent/conversations/statistics',
    data
  })
}

// 获取发布职位浏览量
export const getJobBrowseNum = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/browse/num',
    params
  })
}

// 获取发布职位统计分析明细
export const getJobNumPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/num/page',
    params
  })
}

// 获取发布职位浏览量统计分析明细
export const getJobBrowseNumPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/browse/num/page',
    params
  })
}

// 获取新投递简历统计分析明细
export const getJobCvNewPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/new/page',
    params
  })
}

// 获取已查看简历统计分析明细
export const getJobCvLookPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/job/cv/look/page',
    params
  })
}

// 获取待面试统计分析明细
export const getInterviewWaitPage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/interview/wait/page',
    params
  })
}

// 获取完成面试统计分析明细
export const getInterviewCompletePage = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/recruit/analysis/get/interview/complete/page',
    params
  })
}

// 导出统计分析 Excel
export const analysisExport = async (params) => {
  return await request.download({
    url: '/app-api/menduner/system/recruit/analysis/export',
    params
  })
}