import {
  getDictData,
  getIndustryListData,
  getSkillList,
  getIndustryTreeData,
  getAreaListData,
  getAreaMapData,
  getPositionTreeData,
  getAreaTreeData,
  getPositionData
} from '@/api/common/index'
// 定义对应的api
// const DICT_CITY_API = {
//   menduner_exp_type: getDictData
// }

// const setDict = (type, val, cacheTime = 7200) => {
const setDict = (type, val) => {
  if (type === 'areaTreeData') {
    const obj = val.find(e => e.name === '中国')
    val = obj?.children ? obj.children.map(e =>{
      // 市辖区直接显示区
      const municipality = e.children && e.children.length && e.children[0].name === '市辖区'
      if (municipality && e.children[0].children?.length) e.children = e.children[0].children
      return e
    }) : []
  }
  // 一小时过期
  const currentTime = new Date()
  currentTime.setTime(currentTime.getTime() + 3600 * 1000)

  localStorage.setItem(type, JSON.stringify({
    data: val,
    // expire: Date.now() + cacheTime * 1000
    expire: currentTime.getTime()
  }))
}

export const getDict = (type, params, apiType = 'dict') => {
    if (!type) {
      // console.error('type不存在', type, params, apiType)
      return []
    }
    return new Promise((resolve) => {
      const item = localStorage.getItem(type)
      const catchData = item ? JSON.parse(item) : null
      if (catchData && catchData.expire && (Date.now() <= catchData.expire)) {
        return resolve({ data: catchData.data })
      }
      // 传参按照规范参数传
      const query = params ? params : { type }
      const apiFn = {
        dict: getDictData,
        positionTreeData: getPositionTreeData, // 职位tree
        areaTreeData: getAreaTreeData, // 区域tree
        industryTreeData: getIndustryTreeData, // 行业tree
        industryList: getIndustryListData,
        skillList: getSkillList,
        areaList: getAreaListData,
        areaMap: getAreaMapData,
        positionData: getPositionData
      }
      apiFn[apiType](query).then(data => {
        // setDict(type, data, Date.now())
        setDict(type, data)
        resolve({ data })
      })
    })
}