/**
 * plugins/vuetify.js
 *
 * Framework documentation: https://vuetifyjs.com`
 */

// Styles
import '@mdi/font/css/materialdesignicons.css'
import 'vuetify/styles'
// import * as components from 'vuetify/components'
import * as directives from 'vuetify/directives'
import { VDateInput } from 'vuetify/labs/VDateInput'
import { VTreeview } from 'vuetify/labs/VTreeview'

// Composables
import { createVuetify } from 'vuetify'

const myCustomLightTheme = {
  dark: false,
  colors: {
    background: '#FFFFFF',
    surface: '#FFFFFF',
    primary: '#00897B',
    secondary: '#26A69A',
    error: '#ff5252',
    info: '#2196F3',
    success: '#4CAF50',
    warning: '#FB8C00',
  },
}
// https://vuetifyjs.com/en/introduction/why-vuetify/#feature-guides
export default createVuetify({
  components: {
    VDateInput,
    VTreeview
  },
  directives,
  theme: {
    defaultTheme: 'myCustomLightTheme', // dark
    themes: {
      myCustomLightTheme,
    }
  },
})
