// 公共路由（任何身份都可以访问的路由 如：商城）

import headhunting from './components/headhunting'

const common = [
  ...headhunting,
  {
    path: '', // 门墩项目列表/项目入口页
    redirect: '/recruitHome',
    children: [
      { path: '/', redirect: '/recruitHome' },
      {
        path: '/entrances',
        component: () => import('@/views/entrances/index'),
        meta: {
          title: '门墩儿应用中心'
        }
      }
    ]
  },
  {
    path: '/shareJob',
    name: 'shareJob',
    meta: {
      title: '分享职位'
    },
    component: () => import('@/views/recruit/personal/shareJob/index.vue')
  },
  {
    path: '/invite',
    name: 'invite',
    meta: {
      title: '成员邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirm.vue')
  },
  {
    path: '/enterpriseInvite',
    name: 'enterpriseInvite',
    meta: {
      title: '成员邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirmEnt.vue')
  },
  {
    path: '/recruit/entRegister',
    // component: Layout,
    name: 'enterpriseRegister',
    children: [
      {
        path: '/recruit/entRegister',
        component: () => import('@/views/recruit/entRegister/register.vue'),
        meta: {
          title: '注册新企业'
        },
      },
      {
        path: '/recruit/entRegister/joiningEnterprise',
        component: () => import('@/views/recruit/entRegister/joiningEnterprise'),
        meta: {
          title: '加入企业'
        }
      },
      {
        path: '/recruit/entRegister/inReview',
        component: () => import('@/views/recruit/entRegister/inReview.vue'),
        meta: {
          title: '申请信息'
        }
      }
    ]
  },
  {
    path: '/recruit/personal/advertisement/introduce/:id',
    name: 'advertisementIntroduce',
    meta: {
      title: '洲际酒店集团'
    },
    component: () => import('@/views/recruit/personal/home/components/advertisement/dynamic/intercontinental.vue')
  },
  {
    path: '/recruit/personal/advertisement/introduce/marriott/:id',
    name: 'advertisementIntroduceMarriott',
    meta: {
      title: '万豪国际集团'
    },
    component: () => import('@/views/recruit/personal/home/components/advertisement/dynamic/marriott.vue')
  },
  {
    path: '/recruit/enterprise/talentRecommendation',
    component: () => import('@/views/recruit/enterprise/talentRecommendation/index.vue'),
    name: 'talentRecommendation',
    meta: {
      title: '人才推荐'
    }
  },
  {
    path: '/recruit/enterprise/talentRecommendation/details/:id',
    component: () => import('@/views/recruit/enterprise/talentRecommendation/details'),
    name: 'talentRecommendationDetails',
    meta: {
      title: '人才详情',
      hideSide: true
    }
  }
]

export default common
