export const packData = {
  '企业套餐': {
    desc: '若注册资本超500万或特殊单位，如行政事业单位、国企等。请联系<span class="font-weight-bold">高级客户经理</span>定制套餐',
    items: [
      {
        title: '普通版',
        price: 388,
        type: '大众会员套餐',
        equity: ['职位发布：20个', '发布岗位置顶：无限']
      },
      {
        title: '基础版',
        price: 33000,
        type: '企业基础套餐',
        equity: ['职位发布：20个', '优质人才搜索：2次', '候选人推荐：20次', '背景调查及报告']
      },
      {
        title: '筹备酒店套餐',
        price: 33000,
        recommend: true,
        equity: ['职位发布：20个', '优质人才搜索：2次', '候选人推荐：20次', '弹窗广告：1周']
      },
      {
        title: '运营酒店套餐',
        price: 7000,
        cycle: '6个月',
        equity: ['职位发布：20个', '优质人才搜索：2次', '候选人推荐：20次', '专属职位推文']
      },
      {
        title: '定制版',
        customized: true
      }
    ]
  },
  '大众会员套餐': {
    title: '大众会员套餐',
    active: 3, // 选中推荐的那一个
    price: 108,
    items: [
      {
        title: '14天双周卡',
        price: 38,
        equity: ['职位发布：1个', '发布岗位置顶：1次/天']
      },
      {
        title: '30天月卡',
        price: 58,
        equity: ['职位发布：3个', '发布岗位置顶：3次/天', '优质人才搜索：1次/天']
      },
      {
        title: '60天月卡',
        price: 78,
        equity: ['职位发布：5个', '发布岗位置顶：3次/天', '优质人才搜索：2次/天']
      },
      {
        title: '季度卡',
        price: 108,
        recommend: true,
        equity: ['职位发布：8个', '优质人才搜索：5次/天', '候选人推荐：2次']
      },
      {
        title: '年度卡',
        price: 388,
        equity: ['职位发布：10个', '优质人才搜索：5次/天', '候选人推荐：3次']
      }
    ]
  },
  '企业基础套餐': {
    title: '企业基础套餐',
    active: 2, // 选中推荐的那一个
    price: 56000,
    showUnit: true,
    items: [
      {
        title: '达人会员',
        price: 33000,
        equity: ['职位发布：25个', '简历下载：200份', '职位刷新点数: 不限', '职位极速推广：2次（300份）', '广告：首页焦点广告2周（233*62）', '子账号：3个']
      },
      {
        title: '专享会员',
        price: 52000,
        equity: ['职位发布：50个', '简历下载：600份', '职位刷新点数: 不限', '职位极速推广：2次（600份）', '广告：首页焦点广告1周（233*62）', '子账号：6个']
      },
      {
        title: '精英会员',
        price: 56000,
        recommend: true,
        equity: ['职位发布：70个', '简历下载：800份', '职位刷新点数: 不限', '职位极速推广：2次（800份）', '广告：首页焦点广告2周（233*62）', '子账号：10个']
      },
      {
        title: '白金会员',
        price: 72000,
        equity: ['职位发布：80个', '简历下载：600份', '职位刷新点数: 不限', '职位极速推广：2次（1000份）', '广告：首页黄金广告3周（300*68）', '子账号：10个']
      },
      {
        title: '黄金会员',
        price: 86000,
        equity: ['职位发布：100个', '简历下载：1000份', '职位刷新点数: 不限', '职位极速推广：2次（1000份）', '广告：首页黄金广告4周（300*68）', '子账号：20个', '直播招聘：1次（60分钟）']
      }
    ]
  }
}

export const paymentList = [
  { label: '微信扫码', icon: 'weChat', size: 21, color: 'success', value: 'wx_native' },
  { label: '支付宝扫码', icon: 'alipay', size: 23, color: '#3383c6', value: 'alipay_qr' }
]
