import { timesTampChange } from './date'
import { getDict } from '@/hooks/web/useDictionaries'

// 求职状态
let jobStatus = []
getDict('menduner_job_seek_status').then(({data}) => {
  jobStatus = data
})

export default {
  // 发布职位数量
  0: [
    { title: '职位名称', key: 'name', sortable: false },
    { title: '职位类型', key: 'positionName', sortable: false },
    { title: '薪酬', key: 'payFrom', sortable: false, value: item => item.payFrom && item.payTo ? `${item.payFrom ? item.payFrom + '-' : ''}${item.payTo}${item.payName ? '/' + item.payName : ''}` : '面议' },
    { title: '工作地区', key: 'areaName', sortable: false },
    { title: '工作经验', key: 'expName', sortable: false },
    { title: '学历要求', key: 'eduName', sortable: false },
    { title: '赏金岗位', key: 'hire', sortable: false, value: item => item.hire ? '是' : '否' }
  ],
  // 职位浏览量
  1: [
    { title: '招聘职位', key: 'name', sortable: false },
    { title: '薪酬', key: 'payFrom', sortable: false, value: item => item.payFrom && item.payTo ? `${item.payFrom ? item.payFrom + '-' : ''}${item.payTo}${item.payName ? '/' + item.payName : ''}` : '面议' },
    { title: '工作地区', key: 'areaName', sortable: false },
    { title: '工作经验', key: 'expName', sortable: false },
    { title: '学历要求', key: 'eduName', sortable: false },
    { title: '浏览量', key: 'num', sortable: false }
  ],
  // 收到的简历
  2: [
    { title: '投递人', key: 'person.name', sortable: false },
    { title: '求职状态', key: 'person.jobStatus', sortable: false, value: item => jobStatus.find(i => i.value === item.person.jobStatus)?.label },
    { title: '投递岗位', key: 'job.name', sortable: false },
    { title: '薪酬', key: 'job.payFrom', sortable: false, value: item => item.job.payFrom && item.job.payTo ? `${item.job.payFrom ? item.job.payFrom + '-' : ''}${item.job.payTo}${item.job.payName ? '/' + item.job.payName : ''}` : '面议' },
    { title: '工作地区', key: 'job.areaName', sortable: false },
    { title: '工作经验', key: 'job.expName', sortable: false },
    { title: '学历要求', key: 'job.eduName', sortable: false },
  ],
  // 已查看简历
  3: [
    { title: '投递人', key: 'person.name', sortable: false },
    { title: '投递岗位', key: 'job.name', sortable: false },
    { title: '投递类型', key: 'type', sortable: false, value: item => item.type === 0 ? '平台投递': '赏金投递' },
    { title: '推荐人', key: 'recommendPerson.name', sortable: false },
    { title: '简历标题', key: 'title', sortable: false },
  ],
  // 已邀面试
  4: [
    { title: '求职者', key: 'person.name', sortable: false },
    { title: '面试岗位', key: 'job.name', sortable: false },
    { title: '面试类型', key: 'type', sortable: false, value: item => item.type === 0 ? '线上面试': '线下面试' },
    { title: '面试时间', key: 'time', sortable: false, value: item => timesTampChange(item.time, 'Y-M-D h:m') },
    { title: '面试地点', key: 'address', sortable: false },
  ],
  // 面试完成
  5: [
    { title: '求职者', key: 'person.name', sortable: false },
    { title: '面试岗位', key: 'job.name', sortable: false },
    { title: '面试类型', key: 'type', sortable: false, value: item => item.type === 0 ? '线上面试': '线下面试' },
    { title: '面试时间', key: 'time', sortable: false, value: item => timesTampChange(item.time, 'Y-M-D h:m') },
    { title: '面试地点', key: 'address', sortable: false },
    { title: '反馈评价', key: 'evaluate', sortable: false },
  ]
}